﻿@model Tuple <List<VariableView>, List<ARGNSSegmentation>>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Variable.VarList </h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@Variable.Code</th>
                        <th>@Variable.Desc</th>
                        <th>@Variable.Segmentation</th>
                        <th>@Variable.Active</th>

                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (VariableView item in Model.Item1.OrderByDescending(c=> c.U_ATGrp))
                    {
                        <tr>
                            <td>
                                @item.U_VarCode
                            </td>
                            <td>@item.U_VarDesc</td>
                            <td>@(Model.Item2.Where(c => c.Code == item.U_ATGrp).FirstOrDefault() != null ? Model.Item2.Where(c => c.Code == item.U_ATGrp).FirstOrDefault().Name : item.U_ATGrp)</td>
                            <td>
                                @if (item.U_Active == "Y")
                                {
                                    @Variable.Yes
                                }
                                else
                                {
                                    @Variable.No
                                }
                            </td>

                            @*<td>
                                    <a href='@Url.Action("Action", "Color", new { @pAction = "Update", @pCode = item.U_ColCode })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@Color.Edit
                                    </a>
                                </td>*@
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>

@*<div class="col-md-2 pull-right">
        <a href='@Url.Action("Action", "Color", new { @pAction = "Add", @pCode = 0 })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@Color.Addnew
        </a>
    </div>*@




